Method: projects.locations.reports.delete

Deletes the specified report.

HTTP request

DELETE https://appoptimize.googleapis.com/v1beta/{name=projects/*/locations/*/reports/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the report to delete.

Format: projects/{project}/locations/{location}/reports/{reportId}.

Query parameters

Parameters
allowMissing

boolean

Optional. If set to true, and the report is not found, the request will succeed but no action will be taken on the server.

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • appoptimize.reports.delete

For more information, see the IAM documentation.